#include <math.h>

void getRBConGradientEnergyTwistOPT (
  double young,
  double shear,
  double radw,
  double radh,
  double hL0,
  double *iniMatTanRB,
  double *iniMatNorRB,
  double *iniRefTanRO,
  double *iniRefNorRO,
  double rtx,
  double *rotationAnglesRB,
  double *ex,
  double thetax,
  double *energyGradient)
{
  double t10;
  double t100;
  double t1004;
  double t1006;
  double t1009;
  double t101;
  double t1016;
  double t102;
  double t1020;
  double t1022;
  double t1025;
  double t1028;
  double t1031;
  double t1033;
  double t1035;
  double t104;
  double t1041;
  double t1046;
  double t1048;
  double t105;
  double t1052;
  double t1057;
  double t106;
  double t1063;
  double t107;
  double t1071;
  double t1076;
  double t108;
  double t1088;
  double t11;
  double t110;
  double t1101;
  double t1113;
  double t1116;
  double t112;
  double t1127;
  double t113;
  double t1138;
  double t1156;
  double t1159;
  double t116;
  double t1163;
  double t1165;
  double t1170;
  double t1172;
  double t1176;
  double t118;
  double t1181;
  double t1187;
  double t1199;
  double t12;
  double t1213;
  double t122;
  double t1225;
  double t1228;
  double t1239;
  double t125;
  double t1250;
  double t128;
  double t13;
  double t132;
  double t133;
  double t135;
  double t137;
  double t138;
  double t139;
  double t14;
  double t142;
  double t143;
  double t144;
  double t145;
  double t147;
  double t149;
  double t15;
  double t152;
  double t154;
  double t158;
  double t16;
  double t161;
  double t166;
  double t17;
  double t174;
  double t175;
  double t178;
  double t18;
  double t184;
  double t189;
  double t19;
  double t199;
  double t20;
  double t205;
  double t21;
  double t215;
  double t217;
  double t22;
  double t221;
  double t222;
  double t223;
  double t225;
  double t227;
  double t228;
  double t23;
  double t231;
  double t232;
  double t235;
  double t236;
  double t237;
  double t239;
  double t24;
  double t240;
  double t241;
  double t243;
  double t244;
  double t247;
  double t249;
  double t250;
  double t254;
  double t256;
  double t257;
  double t26;
  double t262;
  double t265;
  double t266;
  double t269;
  double t271;
  double t273;
  double t277;
  double t28;
  double t280;
  double t283;
  double t29;
  double t291;
  double t296;
  double t297;
  double t299;
  double t3;
  double t300;
  double t302;
  double t303;
  double t305;
  double t306;
  double t310;
  double t312;
  double t313;
  double t315;
  double t316;
  double t319;
  double t320;
  double t323;
  double t325;
  double t326;
  double t331;
  double t333;
  double t335;
  double t339;
  double t341;
  double t343;
  double t35;
  double t351;
  double t352;
  double t354;
  double t356;
  double t362;
  double t364;
  double t369;
  double t372;
  double t373;
  double t377;
  double t381;
  double t385;
  double t391;
  double t392;
  double t394;
  double t4;
  double t404;
  double t410;
  double t412;
  double t416;
  double t418;
  double t424;
  double t43;
  double t433;
  double t434;
  double t439;
  double t440;
  double t45;
  double t452;
  double t456;
  double t46;
  double t465;
  double t466;
  double t469;
  double t47;
  double t471;
  double t472;
  double t473;
  double t48;
  double t484;
  double t487;
  double t49;
  double t492;
  double t497;
  double t499;
  double t5;
  double t50;
  double t500;
  double t503;
  double t506;
  double t509;
  double t510;
  double t516;
  double t519;
  double t52;
  double t524;
  double t527;
  double t53;
  double t537;
  double t545;
  double t546;
  double t549;
  double t55;
  double t550;
  double t554;
  double t557;
  double t560;
  double t565;
  double t570;
  double t58;
  double t581;
  double t586;
  double t594;
  double t6;
  double t607;
  double t61;
  double t611;
  double t614;
  double t618;
  double t62;
  double t626;
  double t63;
  double t636;
  double t64;
  double t647;
  double t649;
  double t65;
  double t657;
  double t67;
  double t675;
  double t676;
  double t68;
  double t69;
  double t694;
  double t699;
  double t7;
  double t703;
  double t707;
  double t71;
  double t711;
  double t714;
  double t719;
  double t72;
  double t722;
  double t732;
  double t739;
  double t74;
  double t743;
  double t745;
  double t749;
  double t754;
  double t759;
  double t768;
  double t78;
  double t780;
  double t794;
  double t797;
  double t8;
  double t80;
  double t808;
  double t81;
  double t828;
  double t83;
  double t84;
  double t847;
  double t86;
  double t868;
  double t874;
  double t88;
  double t880;
  double t883;
  double t887;
  double t89;
  double t893;
  double t897;
  double t9;
  double t90;
  double t903;
  double t907;
  double t91;
  double t913;
  double t921;
  double t926;
  double t93;
  double t938;
  double t95;
  double t951;
  double t96;
  double t963;
  double t966;
  double t977;
  double t98;
  double t988;
  t3 = shear * radw * radh * M_PI;
  t4 = radw * radw;
  t5 = radh * radh;
  t6 = t4 + t5;
  t15 = ex[0];
  t7 = t15 * t15;
  t18 = ex[1];
  t8 = t18 * t18;
  t21 = ex[2];
  t9 = t21 * t21;
  t10 = t7 + t8 + t9;
  t11 = sqrt(t10);
  t12 = 0.1e1 / t11;
  t13 = t12 * t18;
  t24 = iniRefTanRO[0];
  t14 = t12 * t24;
  t16 = 0.1e1 * t15 * t14;
  t26 = iniRefTanRO[1];
  t17 = t26 * t12;
  t19 = 0.1e1 * t17 * t18;
  t28 = iniRefTanRO[2];
  t20 = t28 * t12;
  t22 = 0.1e1 * t20 * t21;
  t23 = t16 + t19 + t22;
  t29 = 0.1e1 * t17 * t21 - 0.1e1 * t20 * t18;
  t35 = 0.1e1 * t20 * t15 - 0.1e1 * t21 * t14;
  t43 = 0.1e1 * t14 * t18 - 0.1e1 * t17 * t15;
  t49 = iniRefNorRO[0];
  t52 = iniRefNorRO[1];
  t55 = iniRefNorRO[2];
  t45 = t29 * t49 + t35 * t52 + t43 * t55;
  t46 = 0.1e1 + t16 + t19 + t22;
  t47 = 0.1e1 / t46;
  t48 = t45 * t47;
  t50 = t23 * t55 + t29 * t52 - t35 * t49 + t48 * t43;
  t53 = t21 * t12;
  t58 = t23 * t52 + t43 * t49 - t29 * t55 + t48 * t35;
  t61 = 0.1e1 * t13 * t50 - 0.1e1 * t53 * t58;
  t62 = cos(rtx);
  t88 = rotationAnglesRB[2];
  t63 = cos(t88);
  t90 = rotationAnglesRB[1];
  t64 = cos(t90);
  t65 = t63 * t64;
  t67 = sin(t90);
  t68 = t63 * t67;
  t91 = rotationAnglesRB[0];
  t69 = sin(t91);
  t71 = sin(t88);
  t72 = cos(t91);
  t74 = t68 * t69 - t71 * t72;
  t78 = t68 * t72 + t71 * t69;
  t101 = iniMatTanRB[0];
  t106 = iniMatTanRB[1];
  t110 = iniMatTanRB[2];
  t80 = t65 * t101 + t74 * t106 + t78 * t110;
  t81 = t80 * t12;
  t83 = 0.1e1 * t15 * t81;
  t84 = t71 * t64;
  t86 = t71 * t67;
  t89 = t86 * t69 + t63 * t72;
  t93 = t86 * t72 - t63 * t69;
  t95 = t84 * t101 + t89 * t106 + t93 * t110;
  t96 = t95 * t12;
  t98 = 0.1e1 * t96 * t18;
  t100 = t64 * t69;
  t102 = t64 * t72;
  t104 = -t67 * t101 + t100 * t106 + t110 * t102;
  t105 = t104 * t12;
  t107 = 0.1e1 * t105 * t21;
  t108 = t83 + t98 + t107;
  t133 = iniMatNorRB[0];
  t135 = iniMatNorRB[1];
  t137 = iniMatNorRB[2];
  t112 = t65 * t133 + t74 * t135 + t78 * t137;
  t113 = t108 * t112;
  t116 = t81 * t21;
  t118 = 0.1e1 * t105 * t15 - 0.1e1 * t116;
  t122 = -t67 * t133 + t100 * t135 + t102 * t137;
  t125 = 0.1e1 * t81 * t18;
  t128 = t125 - 0.1e1 * t96 * t15;
  t132 = t84 * t133 + t89 * t135 + t93 * t137;
  t138 = 0.1e1 * t96 * t21 - 0.1e1 * t105 * t18;
  t139 = t138 * t112;
  t142 = t139 + t118 * t132 + t128 * t122;
  t143 = 0.1e1 + t83 + t98 + t107;
  t144 = 0.1e1 / t143;
  t145 = t142 * t144;
  t147 = t113 + t118 * t122 - t128 * t132 + t145 * t138;
  t149 = sin(rtx);
  t152 = t118 * t112;
  t154 = t108 * t122 + t138 * t132 - t152 + t145 * t128;
  t158 = t128 * t112;
  t161 = t108 * t132 + t158 - t138 * t122 + t145 * t118;
  t166 = t12 * t15;
  t174 = 0.1e1 - t62;
  t175 = (0.1e1 * t166 * t147 + 0.1e1 * t13 * t161 + 0.1e1 * t154 * t53) * t174;
  t178 = t62 * t147 + t149 * (0.1e1 * t13 * t154 - 0.1e1 * t161 * t53) + 0.1e1 * t175 * t166;
  t184 = t23 * t49 + t35 * t55 - t43 * t52 + t48 * t29;
  t189 = 0.1e1 * t53 * t184 - 0.1e1 * t166 * t50;
  t199 = t62 * t161 + (0.1e1 * t53 * t147 - 0.1e1 * t166 * t154) * t149 + 0.1e1 * t175 * t13;
  t205 = 0.1e1 * t166 * t58 - 0.1e1 * t13 * t184;
  t215 = t62 * t154 + t149 * (0.1e1 * t166 * t161 - 0.1e1 * t13 * t147) + 0.1e1 * t175 * t53;
  t217 = t61 * t178 + t189 * t199 + t205 * t215;
  t221 = t184 * t178 + t58 * t199 + t50 * t215;
  t222 = atan2(t217, t221);
  t223 = thetax + rtx - t222;
  t225 = 0.1e1 / hL0;
  t227 = t12 / t10;
  t228 = t227 * t18;
  t231 = 0.1e1 * t228 * t50 * t15;
  t232 = t24 * t227;
  t235 = 0.1e1 * t14;
  t236 = t26 * t227;
  t237 = t18 * t15;
  t239 = 0.1e1 * t236 * t237;
  t240 = t28 * t227;
  t241 = t21 * t15;
  t243 = 0.1e1 * t240 * t241;
  t244 = -0.1e1 * t232 * t7 + t235 - t239 - t243;
  t247 = 0.1e1 * t236 * t241;
  t249 = 0.1e1 * t240 * t237;
  t250 = -t247 + t249;
  t254 = 0.1e1 * t20;
  t256 = 0.1e1 * t232 * t241;
  t257 = -0.1e1 * t240 * t7 + t254 + t256;
  t262 = 0.1e1 * t232 * t237;
  t265 = 0.1e1 * t17;
  t266 = -t262 + 0.1e1 * t236 * t7 - t265;
  t269 = (t250 * t49 + t257 * t52 + t266 * t55) * t47;
  t271 = t46 * t46;
  t273 = t45 / t271;
  t297 = t273 * t43;
  t277 = t244 * t55 + t250 * t52 - t257 * t49 + t269 * t43 - t297 * t244 + t48 * t266;
  t280 = t227 * t21;
  t283 = 0.1e1 * t280 * t58 * t15;
  t315 = t273 * t35;
  t291 = t244 * t52 + t266 * t49 - t250 * t55 + t269 * t35 - t315 * t244 + t48 * t257;
  t296 = t80 * t227;
  t299 = 0.1e1 * t81;
  t300 = t95 * t227;
  t302 = 0.1e1 * t300 * t237;
  t303 = t104 * t227;
  t305 = 0.1e1 * t303 * t241;
  t306 = -0.1e1 * t296 * t7 + t299 - t302 - t305;
  t310 = 0.1e1 * t105;
  t312 = 0.1e1 * t296 * t241;
  t313 = -0.1e1 * t303 * t7 + t310 + t312;
  t316 = 0.1e1 * t296 * t237;
  t319 = 0.1e1 * t96;
  t320 = -t316 + 0.1e1 * t300 * t7 - t319;
  t323 = 0.1e1 * t300 * t241;
  t325 = 0.1e1 * t303 * t237;
  t326 = -t323 + t325;
  t331 = (t326 * t112 + t313 * t132 + t320 * t122) * t144;
  t333 = t143 * t143;
  t335 = t142 / t333;
  t352 = t335 * t138;
  t339 = t306 * t112 + t313 * t122 - t320 * t132 + t331 * t138 - t352 * t306 + t145 * t326;
  t341 = t154 * t15;
  t343 = 0.1e1 * t228 * t341;
  t362 = t335 * t128;
  t351 = t306 * t122 + t326 * t132 - t313 * t112 + t331 * t128 - t362 * t306 + t145 * t320;
  t354 = t15 * t161;
  t356 = 0.1e1 * t280 * t354;
  t372 = t335 * t118;
  t364 = t306 * t132 + t320 * t112 - t326 * t122 + t331 * t118 - t372 * t306 + t313 * t145;
  t369 = t227 * t7;
  t373 = 0.1e1 * t12 * t147;
  t377 = 0.1e1 * t228 * t354;
  t381 = 0.1e1 * t280 * t341;
  t385 = (-0.1e1 * t369 * t147 + t373 + 0.1e1 * t166 * t339 - t377 + 0.1e1 * t13 * t364 - t381 + 0.1e1 * t53 * t351) * t174;
  t391 = 0.1e1 * t175 * t12;
  t392 = t62 * t339 + t149 * (-t343 + 0.1e1 * t13 * t351 + t356 - 0.1e1 * t53 * t364) + 0.1e1 * t385 * t166 - 0.1e1 * t175 * t369 + t391;
  t394 = t184 * t15;
  t412 = t273 * t29;
  t404 = t244 * t49 + t257 * t55 - t266 * t52 + t269 * t29 - t412 * t244 + t48 * t250;
  t410 = 0.1e1 * t12 * t50;
  t416 = t147 * t15;
  t418 = 0.1e1 * t280 * t416;
  t424 = 0.1e1 * t12 * t154;
  t433 = 0.1e1 * t175 * t228 * t15;
  t434 = t62 * t364 + t149 * (-t418 + 0.1e1 * t53 * t339 + 0.1e1 * t369 * t154 - t424 - 0.1e1 * t166 * t351) + 0.1e1 * t385 * t13 - t433;
  t439 = 0.1e1 * t12 * t58;
  t452 = 0.1e1 * t12 * t161;
  t456 = 0.1e1 * t228 * t416;
  t440 = t175 * t280;
  t465 = 0.1e1 * t440 * t15;
  t466 = t62 * t351 + t149 * (-0.1e1 * t369 * t161 + t452 + 0.1e1 * t166 * t364 + t456 - 0.1e1 * t13 * t339) + 0.1e1 * t385 * t53 - t465;
  t469 = 0.1e1 / t221;
  t471 = t221 * t221;
  t472 = 0.1e1 / t471;
  t473 = t217 * t472;
  t484 = t217 * t217;
  t487 = 0.1e1 / (0.1e1 + t484 * t472);
  t492 = t227 * t8;
  t497 = t21 * t18;
  t499 = 0.1e1 * t240 * t497;
  t500 = -t262 - 0.1e1 * t236 * t8 + t265 - t499;
  t503 = 0.1e1 * t236 * t497;
  t506 = -t503 + 0.1e1 * t240 * t8 - t254;
  t509 = 0.1e1 * t232 * t497;
  t510 = -t249 + t509;
  t516 = -0.1e1 * t232 * t8 + t235 + t239;
  t519 = (t506 * t49 + t510 * t52 + t516 * t55) * t47;
  t524 = t500 * t55 + t506 * t52 - t510 * t49 + t519 * t43 - t297 * t500 + t48 * t516;
  t527 = t58 * t18;
  t537 = t500 * t52 + t516 * t49 - t506 * t55 + t35 * t519 - t315 * t500 + t48 * t510;
  t545 = 0.1e1 * t303 * t497;
  t546 = -t316 - 0.1e1 * t300 * t8 + t319 - t545;
  t549 = 0.1e1 * t296 * t497;
  t550 = -t325 + t549;
  t554 = -0.1e1 * t296 * t8 + t299 + t302;
  t557 = 0.1e1 * t300 * t497;
  t560 = -t557 + 0.1e1 * t303 * t8 - t310;
  t565 = (t560 * t112 + t550 * t132 + t554 * t122) * t144;
  t570 = t546 * t112 + t550 * t122 - t554 * t132 + t565 * t138 - t352 * t546 + t145 * t560;
  t581 = t546 * t122 + t560 * t132 - t550 * t112 + t565 * t128 - t362 * t546 + t145 * t554;
  t586 = 0.1e1 * t280 * t161 * t18;
  t594 = t546 * t132 + t554 * t112 - t560 * t122 + t565 * t118 - t372 * t546 + t145 * t550;
  t607 = 0.1e1 * t280 * t154 * t18;
  t611 = (-t456 + 0.1e1 * t570 * t166 - 0.1e1 * t492 * t161 + t452 + 0.1e1 * t13 * t594 - t607 + 0.1e1 * t53 * t581) * t174;
  t614 = t62 * t570 + t149 * (-0.1e1 * t492 * t154 + t424 + 0.1e1 * t13 * t581 + t586 - 0.1e1 * t53 * t594) + 0.1e1 * t611 * t166 - t433;
  t618 = 0.1e1 * t280 * t184 * t18;
  t626 = t500 * t49 + t510 * t55 - t516 * t52 + t519 * t29 - t412 * t500 + t48 * t506;
  t636 = 0.1e1 * t280 * t147 * t18;
  t647 = t62 * t594 + t149 * (-t636 + 0.1e1 * t53 * t570 + t343 - 0.1e1 * t581 * t166) + 0.1e1 * t611 * t13 - 0.1e1 * t175 * t492 + t391;
  t649 = t227 * t15;
  t657 = 0.1e1 * t12 * t184;
  t675 = 0.1e1 * t440 * t18;
  t676 = t62 * t581 + t149 * (-t377 + 0.1e1 * t166 * t594 + 0.1e1 * t492 * t147 - t373 - 0.1e1 * t13 * t570) + 0.1e1 * t611 * t53 - t675;
  t694 = t50 * t21;
  t699 = -t256 - t503 - 0.1e1 * t240 * t9 + t254;
  t703 = -0.1e1 * t236 * t9 + t265 + t499;
  t707 = -t243 + 0.1e1 * t232 * t9 - t235;
  t711 = -t509 + t247;
  t714 = (t703 * t49 + t707 * t52 + t711 * t55) * t47;
  t719 = t699 * t55 + t703 * t52 - t707 * t49 + t714 * t43 - t297 * t699 + t48 * t711;
  t722 = t227 * t9;
  t732 = t699 * t52 + t711 * t49 - t703 * t55 + t714 * t35 - t315 * t699 + t48 * t707;
  t739 = -t312 - t557 - 0.1e1 * t303 * t9 + t310;
  t743 = -t305 + 0.1e1 * t296 * t9 - t299;
  t745 = -t549 + t323;
  t749 = -0.1e1 * t300 * t9 + t319 + t545;
  t754 = t144 * (t749 * t112 + t743 * t132 + t745 * t122);
  t759 = t739 * t112 + t743 * t122 - t745 * t132 + t754 * t138 - t352 * t739 + t145 * t749;
  t768 = t739 * t122 + t749 * t132 - t743 * t112 + t754 * t128 - t362 * t739 + t145 * t745;
  t780 = t739 * t132 + t745 * t112 - t749 * t122 + t754 * t118 - t372 * t739 + t145 * t743;
  t794 = (-t418 + 0.1e1 * t166 * t759 - t586 + 0.1e1 * t13 * t780 - 0.1e1 * t722 * t154 + t424 + 0.1e1 * t53 * t768) * t174;
  t797 = t62 * t759 + t149 * (-t607 + 0.1e1 * t13 * t768 + 0.1e1 * t722 * t161 - t452 - 0.1e1 * t53 * t780) + 0.1e1 * t794 * t166 - t465;
  t808 = t699 * t49 + t707 * t55 - t711 * t52 + t714 * t29 - t412 * t699 + t48 * t703;
  t828 = t62 * t780 + t149 * (-0.1e1 * t722 * t147 + t373 + 0.1e1 * t53 * t759 + t381 - 0.1e1 * t166 * t768) + 0.1e1 * t794 * t13 - t675;
  t847 = t62 * t768 + t149 * (-t356 + 0.1e1 * t166 * t780 + t636 - 0.1e1 * t13 * t759) + 0.1e1 * t794 * t53 - 0.1e1 * t175 * t722 + t391;
  t868 = (t78 * t106 - t74 * t110) * t12;
  t874 = (t93 * t106 - t89 * t110) * t12;
  t880 = (t102 * t106 - t100 * t110) * t12;
  t883 = 0.1e1 * t868 * t15 + 0.1e1 * t874 * t18 + 0.1e1 * t880 * t21;
  t887 = t78 * t135 - t74 * t137;
  t893 = 0.1e1 * t880 * t15 - 0.1e1 * t868 * t21;
  t897 = t102 * t135 - t100 * t137;
  t903 = 0.1e1 * t868 * t18 - 0.1e1 * t874 * t15;
  t907 = t93 * t135 - t89 * t137;
  t913 = 0.1e1 * t874 * t21 - 0.1e1 * t880 * t18;
  t921 = (t913 * t112 + t138 * t887 + t893 * t132 + t118 * t907 + t903 * t122 + t128 * t897) * t144;
  t926 = t883 * t112 + t108 * t887 + t893 * t122 + t118 * t897 - t903 * t132 - t128 * t907 + t921 * t138 - t352 * t883 + t145 * t913;
  t938 = t883 * t122 + t108 * t897 + t913 * t132 + t138 * t907 - t893 * t112 - t118 * t887 + t921 * t128 - t362 * t883 + t145 * t903;
  t951 = t883 * t132 + t108 * t907 + t903 * t112 + t128 * t887 - t913 * t122 - t138 * t897 + t921 * t118 - t372 * t883 + t145 * t893;
  t963 = (0.1e1 * t166 * t926 + 0.1e1 * t13 * t951 + 0.1e1 * t53 * t938) * t174;
  t966 = t62 * t926 + t149 * (0.1e1 * t13 * t938 - 0.1e1 * t53 * t951) + 0.1e1 * t963 * t166;
  t977 = t62 * t951 + t149 * (0.1e1 * t53 * t926 - 0.1e1 * t166 * t938) + 0.1e1 * t963 * t13;
  t988 = t62 * t938 + t149 * (0.1e1 * t166 * t951 - 0.1e1 * t13 * t926) + 0.1e1 * t963 * t53;
  t1004 = t69 * t106;
  t1006 = t72 * t110;
  t1009 = (-t68 * t101 + t65 * t1004 + t65 * t1006) * t12;
  t1016 = (-t86 * t101 + t84 * t1004 + t84 * t1006) * t12;
  t1020 = t67 * t69;
  t1022 = t67 * t72;
  t1025 = (-t64 * t101 - t1020 * t106 - t1022 * t110) * t12;
  t1028 = 0.1e1 * t1009 * t15 + 0.1e1 * t1016 * t18 + 0.1e1 * t1025 * t21;
  t1031 = t69 * t135;
  t1033 = t72 * t137;
  t1035 = -t68 * t133 + t65 * t1031 + t65 * t1033;
  t1041 = 0.1e1 * t1025 * t15 - 0.1e1 * t1009 * t21;
  t1046 = -t64 * t133 - t1020 * t135 - t1022 * t137;
  t1052 = 0.1e1 * t1009 * t18 - 0.1e1 * t1016 * t15;
  t1057 = -t86 * t133 + t84 * t1031 + t84 * t1033;
  t1063 = 0.1e1 * t1016 * t21 - 0.1e1 * t1025 * t18;
  t1071 = (t1063 * t112 + t138 * t1035 + t1041 * t132 + t118 * t1057 + t1052 * t122 + t128 * t1046) * t144;
  t1076 = t1028 * t112 + t108 * t1035 + t1041 * t122 + t1046 * t118 - t1052 * t132 - t1057 * t128 + t1071 * t138 - t352 * t1028 + t145 * t1063;
  t1088 = t1028 * t122 + t108 * t1046 + t1063 * t132 + t138 * t1057 - t1041 * t112 - t1035 * t118 + t1071 * t128 - t362 * t1028 + t145 * t1052;
  t1101 = t1028 * t132 + t108 * t1057 + t1052 * t112 + t128 * t1035 - t1063 * t122 - t138 * t1046 + t1071 * t118 - t372 * t1028 + t145 * t1041;
  t1113 = (0.1e1 * t166 * t1076 + 0.1e1 * t13 * t1101 + 0.1e1 * t53 * t1088) * t174;
  t1116 = t62 * t1076 + t149 * (0.1e1 * t13 * t1088 - 0.1e1 * t53 * t1101) + 0.1e1 * t166 * t1113;
  t1127 = t62 * t1101 + t149 * (0.1e1 * t53 * t1076 - 0.1e1 * t166 * t1088) + 0.1e1 * t1113 * t13;
  t1138 = t62 * t1088 + t149 * (0.1e1 * t166 * t1101 - 0.1e1 * t13 * t1076) + 0.1e1 * t1113 * t53;
  t1156 = -t95 * t12;
  t1159 = 0.1e1 * t1156 * t15 + t125;
  t1163 = -t132;
  t1165 = t21 * t122;
  t1170 = 0.1e1 * t1156 * t18 - t83;
  t1172 = t21 * t112;
  t1176 = t21 * t132;
  t1181 = (0.1e1 * t81 * t1172 + t138 * t1163 - 0.1e1 * t1156 * t1176 + t152 + t1170 * t122) * t144;
  t1187 = t1159 * t112 + t108 * t1163 - 0.1e1 * t1156 * t1165 - t1170 * t132 - t158 + t1181 * t138 - t352 * t1159 + 0.1e1 * t145 * t116;
  t1199 = t1159 * t122 + 0.1e1 * t81 * t1176 + t139 + 0.1e1 * t1156 * t1172 - t118 * t1163 + t1181 * t128 - t362 * t1159 + t145 * t1170;
  t1213 = t1159 * t132 + t113 + t1170 * t112 + t128 * t1163 - 0.1e1 * t81 * t1165 + t1181 * t118 - t372 * t1159 - 0.1e1 * t145 * t1156 * t21;
  t1225 = (0.1e1 * t166 * t1187 + 0.1e1 * t13 * t1213 + 0.1e1 * t53 * t1199) * t174;
  t1228 = t62 * t1187 + t149 * (0.1e1 * t13 * t1199 - 0.1e1 * t53 * t1213) + 0.1e1 * t1225 * t166;
  t1239 = t62 * t1213 + t149 * (0.1e1 * t53 * t1187 - 0.1e1 * t166 * t1199) + 0.1e1 * t1225 * t13;
  t1250 = t62 * t1199 + t149 * (0.1e1 * t166 * t1213 - 0.1e1 * t1187 * t13) + 0.1e1 * t53 * t1225;
  t1048 = t3 * t6 * t223;
  energyGradient[0] = -0.2500000000e0 * t1048 * t225 * (((-t231 + 0.1e1 * t13 * t277 + t283 - 0.1e1 * t53 * t291) * t178 + t61 * t392 + (-0.1e1 * t280 * t394 + 0.1e1 * t53 * t404 + 0.1e1 * t369 * t50 - t410 - 0.1e1 * t166 * t277) * t199 + t189 * t434 + (-0.1e1 * t369 * t58 + t439 + 0.1e1 * t166 * t291 + 0.1e1 * t228 * t394 - 0.1e1 * t13 * t404) * t215 + t205 * t466) * t469 - t473 * (t404 * t178 + t184 * t392 + t291 * t199 + t58 * t434 + t277 * t215 + t50 * t466)) * t487;
  energyGradient[1] = -0.2500000000e0 * t1048 * t225 * (((-0.1e1 * t492 * t50 + t410 + 0.1e1 * t13 * t524 + 0.1e1 * t280 * t527 - 0.1e1 * t53 * t537) * t178 + t61 * t614 + (-t618 + 0.1e1 * t53 * t626 + t231 - 0.1e1 * t166 * t524) * t199 + t189 * t647 + (-0.1e1 * t649 * t527 + 0.1e1 * t166 * t537 + 0.1e1 * t492 * t184 - t657 - 0.1e1 * t13 * t626) * t215 + t205 * t676) * t469 - t473 * (t626 * t178 + t184 * t614 + t537 * t199 + t58 * t647 + t524 * t215 + t50 * t676)) * t487;
  energyGradient[2] = -0.2500000000e0 * t1048 * t225 * (((-0.1e1 * t228 * t694 + 0.1e1 * t13 * t719 + 0.1e1 * t722 * t58 - t439 - 0.1e1 * t53 * t732) * t178 + t61 * t797 + (-0.1e1 * t722 * t184 + t657 + 0.1e1 * t53 * t808 + 0.1e1 * t649 * t694 - 0.1e1 * t166 * t719) * t199 + t189 * t828 + (-t283 + 0.1e1 * t166 * t732 + t618 - 0.1e1 * t808 * t13) * t215 + t205 * t847) * t469 - t473 * (t808 * t178 + t184 * t797 + t732 * t199 + t58 * t828 + t719 * t215 + t50 * t847)) * t487;
  energyGradient[3] = -0.2500000000e0 * t1048 * t225 * ((t61 * t966 + t189 * t977 + t205 * t988) * t469 - t473 * (t184 * t966 + t58 * t977 + t50 * t988)) * t487;
  energyGradient[4] = -0.2500000000e0 * t1048 * t225 * ((t61 * t1116 + t189 * t1127 + t205 * t1138) * t469 - t473 * (t184 * t1116 + t58 * t1127 + t50 * t1138)) * t487;
  energyGradient[5] = -0.2500000000e0 * t1048 * t225 * ((t61 * t1228 + t189 * t1239 + t205 * t1250) * t469 - t473 * (t184 * t1228 + t58 * t1239 + t50 * t1250)) * t487;
  energyGradient[6] = 0.2500000000e0 * t3 * t6 * t223 * t225;
}
